#
# Conditional build:
%bcond_without	doc		# don't build doc
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	wtforms
Summary:	A flexible forms validation and rendering library for python web development
Summary(pl.UTF-8):	Biblioteka umożliwiająca generację i walidację formularzy html w jezyku python
Name:		python-%{module}
Version:	2.0.1
Release:	7
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/W/WTForms/WTForms-%{version}.zip
# Source0-md5:	aaac94c137b3cd63efeb3ded51082cde
URL:		http://wtforms.simplecodes.com/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	unzip
%if %{with python2}
BuildRequires:	python-distribute
BuildRequires:	python-sqlalchemy
%endif
%if %{with python3}
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
BuildRequires:	python3-sqlalchemy
%endif

Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A flexible forms validation and rendering library for python web
development.

%description -l pl.UTF-8
Biblioteka umożliwiająca generację i walidację formularzy html w
jezyku python

%package -n python3-%{module}
Summary:	-
Summary(pl.UTF-8):	-
Group:		Libraries/Python
Requires:		python3-modules

%description -n python3-%{module}
A flexible forms validation and rendering library for python web
development.

%description -n python3-%{module} -l pl.UTF-8
Biblioteka umożliwiająca generację i walidację formularzy html w
jezyku python

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.


%prep
%setup -q -n WTForms-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.txt CHANGES.rst LICENSE.txt README.md
# change %{py_sitedir} to %{py_sitescriptdir} for 'noarch' packages!
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/WTForms-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.txt CHANGES.rst LICENSE.txt README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/WTForms-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif


%changelog
* Sun Jan 01 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-wtforms.git;a=log;h=auto/th/python-wtforms-2.0.1-7

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d12f343
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 81c0553
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 66b7ae3
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 583220b
- automatic change: use py_build/py_install macros

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d4dd79
- rel 5; BR python-sqlalchemy for tests

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 309ed06
- python3.5 rebuild
- release 4 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fe9a156
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 21db80c
- python 3.4
- release 2 (by relup.sh)

* Mon Oct 13 2014 Mateusz Korniak <matkor@pld-linux.org> e6b6a62
- Version 2.0.1.

* Wed Aug 08 2012 Mateusz Korniak <matkor@pld-linux.org> 6852d03
- Release 1. Lukasz Gabrych tested it to work. Translations added.

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 5fc545d
- cleanup

* Fri Apr 06 2012 zbyniu <zbyniu@pld-linux.org> 2bed260
- new

